%define rel 3
%define	name	dlume
%define	version	0.2.4
%define	release	%mkrel %{rel}
%define Summary	An easy to use address book

Summary:	%{Summary}
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	http://clay.ll.pl/download/%{name}-%{version}.tar.bz2
URL:		http://clay.ll.pl/dlume.html
License:	GPL
Group:		Office
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	gtk+2-devel >= 2.2.0
BuildRequires:	libxml2-devel >= 2.4.0 ImageMagick

%description
Dlume is nice, Gtk 2-based address book. 
You can easily add, edit, and delete records from an XML database.
A Quick-search makes it easy to find entries.
Exporting to CSV and HTML formats is also possible.

%prep
%setup -q

%build 
%configure2_5x --enable-nls
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std


%find_lang %{name}

#icons and menu 
mkdir -p %{buildroot}{%{_miconsdir},%{_iconsdir},%{_liconsdir},%{_menudir}}
install -m 644 dlume.png %{buildroot}%{_iconsdir}/%{name}.png
convert dlume.png -geometry 48x48 %{buildroot}%{_liconsdir}/%{name}.png
convert dlume.png -geometry 16x16 %{buildroot}%{_miconsdir}/%{name}.png
 
mkdir -p %buildroot%{_datadir}/applications/
cat << EOF > %buildroot%{_datadir}/applications/mandriva-%{name}.desktop
[Desktop Entry]
Type=Application
Exec=%{name}
Icon=%{name}
Categories=Office;ContactManagement;
Name=Dlume
Comment=%{Summary}
EOF

%if %mdkversion < 200900
%post 
%update_menus
%endif

%if %mdkversion < 200900
%postun
%clean_menus
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/%{name}
%{_datadir}/applications/mandriva-%{name}.desktop
%{_mandir}/man1/%{name}.1*
%{_datadir}/pixmaps/%{name}.png
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png



%changelog
* Tue Jun 17 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.2.4-3mdv2009.0
+ Revision: 222095
- fix creating desktop entries directory
- auto-convert XDG menu entry
- kill re-definition of %%buildroot on Pixel's request
- import dlume

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Tue Jun 06 2006 Charles A Edwards <eslrahc@mandriva.org> 0.2.4-3mdv2007.0
- mkrel
- rebuild

* Tue Sep 21 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.2.4-2mdk
- Fix menu

* Mon Jul 19 2004 Charles A Edwards <eslrahc@mandrake.org> 0.2.4-1mdk
- 0.2.4

* Thu Apr 01 2004 Charles A Edwards <eslrahc@mandrake.org> 0.2.2a-1mdk
- 0.2.2a
- fix menu entry

* Tue Mar 02 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.2.0-5mdk
- buildrequires

* Mon Mar 01 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.2.0-4mdk
- Fix menu entry

* Tue Feb 24 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.2.0-3mdk
- fix longtitle in menu item
- fix section in menu item
- rm -rf $RPM_BUILD-ROOT at the beginning of %%install, not %%prep
- cleanups

* Wed Feb 11 2004 David Baudens <baudens@mandrakesoft.com> 0.2.0-2mdk
- Fix menu

* Mon Feb 09 2004 Charles A Edwards <eslrahc@mandrake.org> 0.2.0-1mdk
- 0.2.0
- add icons

* Thu Jan 08 2004 Charles A Edwards <eslrahc@bellsouth.net> 0.1.8-1mdk
- 0.1.8

* Wed Dec 18 2003 Charles A Edwards <eslrahc@bellsouth.net> 0.1.6-1mdk
- 0.1.6
- enable nls

* Sun Dec 07 2003 Charles A Edwards <eslrahc@bellsouth.net> 0.1.4-1mdk
- 0.1.4

* Tue Nov 11 2003 Charles A Edwards <eslrahc@bellsouth.net> 0.1.2-1mdk
- first mdk pkg


